Skip to content
Developer

UserAccessGroup

Login and sessions5 EndpointsUser / UserAccessGroup

Returns a list of UserAccessGroup entries.

GET/api/user_access_group

Responses

200Return all UserAccessGrouparray<UserAccessGroup>

Show fields (81)
  • idinteger

    Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

  • namestring

    Name of the user access group. Shown to administrators when they assign users to a group.

  • super_adminboolean

    Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

  • adminboolean

    Admin flag of the group. Members of an admin group can manage users and access rights.

  • userboolean

    User flag of the group. Standard flag for regular members.

  • guestboolean

    Guest flag of the group. Guests get only the rights explicitly granted to them.

  • read_installationsboolean

    Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • write_installationsboolean

    Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • read_userboolean

    Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • write_userboolean

    Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • read_customerprofileboolean

    Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • write_customerprofileboolean

    Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • read_crmboolean

    Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • write_crmboolean

    Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • read_crm_projectboolean

    Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • write_crm_projectboolean

    Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • read_billingboolean

    Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • write_billingboolean

    Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • read_taxaccountingboolean

    Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • write_taxaccountingboolean

    Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • read_donationsboolean

    Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • write_donationsboolean

    Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • read_productsboolean

    Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • write_productsboolean

    Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • read_ticketboolean

    Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_ticketboolean

    Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_own_ticketboolean

    Write access to own tickets only. Users can only change tickets assigned to them.

  • read_timeboolean

    Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • write_timeboolean

    Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • read_trainer_timeboolean

    Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • write_trainer_timeboolean

    Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • read_studio_trainingboolean

    Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • write_studio_trainingboolean

    Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • read_callboolean

    Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • write_callboolean

    Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • read_hrboolean

    Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • write_hrboolean

    Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • read_srvboolean

    Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • write_srvboolean

    Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • read_domainboolean

    Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • write_domainboolean

    Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • read_softwareboolean

    Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • write_softwareboolean

    Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • read_privacyboolean

    Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • write_privacyboolean

    Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • read_eventboolean

    Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • write_eventboolean

    Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • read_event_bookingboolean

    Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • write_event_bookingboolean

    Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • read_event_booking_groupboolean

    Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • write_event_booking_groupboolean

    Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • read_maintenanceboolean

    Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_maintenanceboolean

    Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_event_availabilityboolean

    Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

  • write_easboolean

    Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

  • write_wtesboolean

    Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

  • write_statsboolean

    Write access to statistics. Grants the write permission for the statistics scope 'stats'.

  • read_shortlinkboolean

    Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • write_shortlinkboolean

    Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • read_mediaboolean

    Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • write_mediaboolean

    Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • read_settingsboolean

    Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • write_settingsboolean

    Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • read_dwiboolean

    Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • write_dwiboolean

    Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • read_fltboolean

    Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • write_fltboolean

    Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • read_c1boolean

    Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • write_c1boolean

    Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • read_chboolean

    Read access to change history. Grants the read permission for the scope 'ch'.

  • read_siboolean

    Read access to short information. Grants the read permission for the scope 'si'.

  • read_ptboolean

    Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • write_ptboolean

    Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • read_locboolean

    Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • write_locboolean

    Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • read_notifyboolean

    Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • write_notifyboolean

    Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • read_chatboolean

    Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_chatboolean

    Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_webhookboolean

    Write access to webhooks. Grants the write permission for the scope 'webhook'.

  • … 6 more fields
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/user_access_group \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "super_admin": true,
    "admin": true,
    "user": true,
    "guest": true,
    "read_installations": true,
    "write_installations": true,
    "read_user": true,
    "write_user": true
  }
]

Creates a new UserAccessGroup entry.

POST/api/user_access_group

Request body application/json

  • dataUpdateUserAccessGroup

Responses

200Add new UserAccessGroupUserAccessGroup

Show fields (81)
  • idinteger

    Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

  • namestring

    Name of the user access group. Shown to administrators when they assign users to a group.

  • super_adminboolean

    Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

  • adminboolean

    Admin flag of the group. Members of an admin group can manage users and access rights.

  • userboolean

    User flag of the group. Standard flag for regular members.

  • guestboolean

    Guest flag of the group. Guests get only the rights explicitly granted to them.

  • read_installationsboolean

    Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • write_installationsboolean

    Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • read_userboolean

    Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • write_userboolean

    Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • read_customerprofileboolean

    Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • write_customerprofileboolean

    Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • read_crmboolean

    Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • write_crmboolean

    Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • read_crm_projectboolean

    Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • write_crm_projectboolean

    Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • read_billingboolean

    Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • write_billingboolean

    Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • read_taxaccountingboolean

    Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • write_taxaccountingboolean

    Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • read_donationsboolean

    Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • write_donationsboolean

    Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • read_productsboolean

    Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • write_productsboolean

    Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • read_ticketboolean

    Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_ticketboolean

    Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_own_ticketboolean

    Write access to own tickets only. Users can only change tickets assigned to them.

  • read_timeboolean

    Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • write_timeboolean

    Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • read_trainer_timeboolean

    Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • write_trainer_timeboolean

    Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • read_studio_trainingboolean

    Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • write_studio_trainingboolean

    Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • read_callboolean

    Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • write_callboolean

    Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • read_hrboolean

    Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • write_hrboolean

    Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • read_srvboolean

    Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • write_srvboolean

    Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • read_domainboolean

    Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • write_domainboolean

    Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • read_softwareboolean

    Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • write_softwareboolean

    Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • read_privacyboolean

    Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • write_privacyboolean

    Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • read_eventboolean

    Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • write_eventboolean

    Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • read_event_bookingboolean

    Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • write_event_bookingboolean

    Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • read_event_booking_groupboolean

    Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • write_event_booking_groupboolean

    Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • read_maintenanceboolean

    Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_maintenanceboolean

    Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_event_availabilityboolean

    Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

  • write_easboolean

    Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

  • write_wtesboolean

    Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

  • write_statsboolean

    Write access to statistics. Grants the write permission for the statistics scope 'stats'.

  • read_shortlinkboolean

    Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • write_shortlinkboolean

    Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • read_mediaboolean

    Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • write_mediaboolean

    Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • read_settingsboolean

    Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • write_settingsboolean

    Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • read_dwiboolean

    Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • write_dwiboolean

    Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • read_fltboolean

    Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • write_fltboolean

    Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • read_c1boolean

    Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • write_c1boolean

    Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • read_chboolean

    Read access to change history. Grants the read permission for the scope 'ch'.

  • read_siboolean

    Read access to short information. Grants the read permission for the scope 'si'.

  • read_ptboolean

    Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • write_ptboolean

    Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • read_locboolean

    Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • write_locboolean

    Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • read_notifyboolean

    Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • write_notifyboolean

    Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • read_chatboolean

    Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_chatboolean

    Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_webhookboolean

    Write access to webhooks. Grants the write permission for the scope 'webhook'.

  • … 6 more fields
Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/user_access_group \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "super_admin": true,
  "admin": true,
  "user": true,
  "guest": true,
  "read_installations": true,
  "write_installations": true,
  "read_user": true,
  "write_user": true
}

Return a single UserAccessGroup

GET/api/user_access_group/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return a single UserAccessGroupUserAccessGroup

Show fields (81)
  • idinteger

    Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

  • namestring

    Name of the user access group. Shown to administrators when they assign users to a group.

  • super_adminboolean

    Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

  • adminboolean

    Admin flag of the group. Members of an admin group can manage users and access rights.

  • userboolean

    User flag of the group. Standard flag for regular members.

  • guestboolean

    Guest flag of the group. Guests get only the rights explicitly granted to them.

  • read_installationsboolean

    Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • write_installationsboolean

    Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • read_userboolean

    Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • write_userboolean

    Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • read_customerprofileboolean

    Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • write_customerprofileboolean

    Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • read_crmboolean

    Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • write_crmboolean

    Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • read_crm_projectboolean

    Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • write_crm_projectboolean

    Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • read_billingboolean

    Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • write_billingboolean

    Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • read_taxaccountingboolean

    Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • write_taxaccountingboolean

    Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • read_donationsboolean

    Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • write_donationsboolean

    Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • read_productsboolean

    Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • write_productsboolean

    Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • read_ticketboolean

    Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_ticketboolean

    Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_own_ticketboolean

    Write access to own tickets only. Users can only change tickets assigned to them.

  • read_timeboolean

    Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • write_timeboolean

    Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • read_trainer_timeboolean

    Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • write_trainer_timeboolean

    Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • read_studio_trainingboolean

    Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • write_studio_trainingboolean

    Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • read_callboolean

    Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • write_callboolean

    Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • read_hrboolean

    Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • write_hrboolean

    Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • read_srvboolean

    Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • write_srvboolean

    Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • read_domainboolean

    Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • write_domainboolean

    Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • read_softwareboolean

    Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • write_softwareboolean

    Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • read_privacyboolean

    Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • write_privacyboolean

    Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • read_eventboolean

    Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • write_eventboolean

    Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • read_event_bookingboolean

    Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • write_event_bookingboolean

    Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • read_event_booking_groupboolean

    Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • write_event_booking_groupboolean

    Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • read_maintenanceboolean

    Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_maintenanceboolean

    Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_event_availabilityboolean

    Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

  • write_easboolean

    Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

  • write_wtesboolean

    Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

  • write_statsboolean

    Write access to statistics. Grants the write permission for the statistics scope 'stats'.

  • read_shortlinkboolean

    Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • write_shortlinkboolean

    Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • read_mediaboolean

    Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • write_mediaboolean

    Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • read_settingsboolean

    Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • write_settingsboolean

    Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • read_dwiboolean

    Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • write_dwiboolean

    Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • read_fltboolean

    Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • write_fltboolean

    Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • read_c1boolean

    Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • write_c1boolean

    Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • read_chboolean

    Read access to change history. Grants the read permission for the scope 'ch'.

  • read_siboolean

    Read access to short information. Grants the read permission for the scope 'si'.

  • read_ptboolean

    Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • write_ptboolean

    Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • read_locboolean

    Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • write_locboolean

    Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • read_notifyboolean

    Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • write_notifyboolean

    Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • read_chatboolean

    Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_chatboolean

    Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_webhookboolean

    Write access to webhooks. Grants the write permission for the scope 'webhook'.

  • … 6 more fields
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/user_access_group/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "super_admin": true,
  "admin": true,
  "user": true,
  "guest": true,
  "read_installations": true,
  "write_installations": true,
  "read_user": true,
  "write_user": true
}

Update a single UserAccessGroup

PUT/api/user_access_group/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataUserAccessGroup
    Show fields (81)
    • idinteger

      Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

    • namestring

      Name of the user access group. Shown to administrators when they assign users to a group.

    • super_adminboolean

      Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

    • adminboolean

      Admin flag of the group. Members of an admin group can manage users and access rights.

    • userboolean

      User flag of the group. Standard flag for regular members.

    • guestboolean

      Guest flag of the group. Guests get only the rights explicitly granted to them.

    • read_installationsboolean

      Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

    • write_installationsboolean

      Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

    • read_userboolean

      Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

    • write_userboolean

      Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

    • read_customerprofileboolean

      Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

    • write_customerprofileboolean

      Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

    • read_crmboolean

      Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

    • write_crmboolean

      Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

    • read_crm_projectboolean

      Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

    • write_crm_projectboolean

      Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

    • read_billingboolean

      Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

    • write_billingboolean

      Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

    • read_taxaccountingboolean

      Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

    • write_taxaccountingboolean

      Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

    • read_donationsboolean

      Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

    • write_donationsboolean

      Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

    • read_productsboolean

      Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

    • write_productsboolean

      Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

    • read_ticketboolean

      Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

    • write_ticketboolean

      Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

    • write_own_ticketboolean

      Write access to own tickets only. Users can only change tickets assigned to them.

    • read_timeboolean

      Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

    • write_timeboolean

      Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

    • read_trainer_timeboolean

      Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

    • write_trainer_timeboolean

      Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

    • read_studio_trainingboolean

      Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

    • write_studio_trainingboolean

      Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

    • read_callboolean

      Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

    • write_callboolean

      Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

    • read_hrboolean

      Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

    • write_hrboolean

      Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

    • read_srvboolean

      Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

    • write_srvboolean

      Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

    • read_domainboolean

      Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

    • write_domainboolean

      Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

    • read_softwareboolean

      Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

    • write_softwareboolean

      Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

    • read_privacyboolean

      Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

    • write_privacyboolean

      Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

    • read_eventboolean

      Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

    • write_eventboolean

      Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

    • read_event_bookingboolean

      Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

    • write_event_bookingboolean

      Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

    • read_event_booking_groupboolean

      Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

    • write_event_booking_groupboolean

      Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

    • read_maintenanceboolean

      Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

    • write_maintenanceboolean

      Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

    • write_event_availabilityboolean

      Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

    • write_easboolean

      Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

    • write_wtesboolean

      Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

    • write_statsboolean

      Write access to statistics. Grants the write permission for the statistics scope 'stats'.

    • read_shortlinkboolean

      Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

    • write_shortlinkboolean

      Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

    • read_mediaboolean

      Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

    • write_mediaboolean

      Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

    • read_settingsboolean

      Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

    • write_settingsboolean

      Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

    • read_dwiboolean

      Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

    • write_dwiboolean

      Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

    • read_fltboolean

      Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

    • write_fltboolean

      Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

    • read_c1boolean

      Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

    • write_c1boolean

      Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

    • read_chboolean

      Read access to change history. Grants the read permission for the scope 'ch'.

    • read_siboolean

      Read access to short information. Grants the read permission for the scope 'si'.

    • read_ptboolean

      Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

    • write_ptboolean

      Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

    • read_locboolean

      Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

    • write_locboolean

      Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

    • read_notifyboolean

      Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

    • write_notifyboolean

      Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

    • read_chatboolean

      Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

    • write_chatboolean

      Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

    • write_webhookboolean

      Write access to webhooks. Grants the write permission for the scope 'webhook'.

    • … 6 more fields

Responses

200Update a single UserAccessGroupUserAccessGroup

Show fields (81)
  • idinteger

    Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

  • namestring

    Name of the user access group. Shown to administrators when they assign users to a group.

  • super_adminboolean

    Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

  • adminboolean

    Admin flag of the group. Members of an admin group can manage users and access rights.

  • userboolean

    User flag of the group. Standard flag for regular members.

  • guestboolean

    Guest flag of the group. Guests get only the rights explicitly granted to them.

  • read_installationsboolean

    Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • write_installationsboolean

    Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • read_userboolean

    Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • write_userboolean

    Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • read_customerprofileboolean

    Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • write_customerprofileboolean

    Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • read_crmboolean

    Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • write_crmboolean

    Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • read_crm_projectboolean

    Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • write_crm_projectboolean

    Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • read_billingboolean

    Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • write_billingboolean

    Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • read_taxaccountingboolean

    Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • write_taxaccountingboolean

    Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • read_donationsboolean

    Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • write_donationsboolean

    Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • read_productsboolean

    Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • write_productsboolean

    Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • read_ticketboolean

    Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_ticketboolean

    Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_own_ticketboolean

    Write access to own tickets only. Users can only change tickets assigned to them.

  • read_timeboolean

    Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • write_timeboolean

    Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • read_trainer_timeboolean

    Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • write_trainer_timeboolean

    Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • read_studio_trainingboolean

    Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • write_studio_trainingboolean

    Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • read_callboolean

    Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • write_callboolean

    Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • read_hrboolean

    Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • write_hrboolean

    Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • read_srvboolean

    Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • write_srvboolean

    Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • read_domainboolean

    Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • write_domainboolean

    Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • read_softwareboolean

    Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • write_softwareboolean

    Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • read_privacyboolean

    Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • write_privacyboolean

    Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • read_eventboolean

    Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • write_eventboolean

    Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • read_event_bookingboolean

    Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • write_event_bookingboolean

    Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • read_event_booking_groupboolean

    Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • write_event_booking_groupboolean

    Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • read_maintenanceboolean

    Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_maintenanceboolean

    Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_event_availabilityboolean

    Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

  • write_easboolean

    Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

  • write_wtesboolean

    Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

  • write_statsboolean

    Write access to statistics. Grants the write permission for the statistics scope 'stats'.

  • read_shortlinkboolean

    Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • write_shortlinkboolean

    Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • read_mediaboolean

    Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • write_mediaboolean

    Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • read_settingsboolean

    Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • write_settingsboolean

    Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • read_dwiboolean

    Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • write_dwiboolean

    Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • read_fltboolean

    Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • write_fltboolean

    Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • read_c1boolean

    Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • write_c1boolean

    Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • read_chboolean

    Read access to change history. Grants the read permission for the scope 'ch'.

  • read_siboolean

    Read access to short information. Grants the read permission for the scope 'si'.

  • read_ptboolean

    Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • write_ptboolean

    Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • read_locboolean

    Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • write_locboolean

    Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • read_notifyboolean

    Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • write_notifyboolean

    Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • read_chatboolean

    Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_chatboolean

    Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_webhookboolean

    Write access to webhooks. Grants the write permission for the scope 'webhook'.

  • … 6 more fields
Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/user_access_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "super_admin": true,
    "admin": true,
    "user": true,
    "guest": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "super_admin": true,
  "admin": true,
  "user": true,
  "guest": true,
  "read_installations": true,
  "write_installations": true,
  "read_user": true,
  "write_user": true
}

Update a single UserAccessGroup

PATCH/api/user_access_group/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataUserAccessGroup
    Show fields (81)
    • idinteger

      Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

    • namestring

      Name of the user access group. Shown to administrators when they assign users to a group.

    • super_adminboolean

      Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

    • adminboolean

      Admin flag of the group. Members of an admin group can manage users and access rights.

    • userboolean

      User flag of the group. Standard flag for regular members.

    • guestboolean

      Guest flag of the group. Guests get only the rights explicitly granted to them.

    • read_installationsboolean

      Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

    • write_installationsboolean

      Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

    • read_userboolean

      Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

    • write_userboolean

      Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

    • read_customerprofileboolean

      Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

    • write_customerprofileboolean

      Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

    • read_crmboolean

      Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

    • write_crmboolean

      Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

    • read_crm_projectboolean

      Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

    • write_crm_projectboolean

      Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

    • read_billingboolean

      Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

    • write_billingboolean

      Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

    • read_taxaccountingboolean

      Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

    • write_taxaccountingboolean

      Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

    • read_donationsboolean

      Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

    • write_donationsboolean

      Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

    • read_productsboolean

      Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

    • write_productsboolean

      Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

    • read_ticketboolean

      Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

    • write_ticketboolean

      Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

    • write_own_ticketboolean

      Write access to own tickets only. Users can only change tickets assigned to them.

    • read_timeboolean

      Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

    • write_timeboolean

      Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

    • read_trainer_timeboolean

      Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

    • write_trainer_timeboolean

      Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

    • read_studio_trainingboolean

      Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

    • write_studio_trainingboolean

      Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

    • read_callboolean

      Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

    • write_callboolean

      Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

    • read_hrboolean

      Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

    • write_hrboolean

      Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

    • read_srvboolean

      Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

    • write_srvboolean

      Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

    • read_domainboolean

      Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

    • write_domainboolean

      Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

    • read_softwareboolean

      Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

    • write_softwareboolean

      Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

    • read_privacyboolean

      Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

    • write_privacyboolean

      Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

    • read_eventboolean

      Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

    • write_eventboolean

      Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

    • read_event_bookingboolean

      Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

    • write_event_bookingboolean

      Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

    • read_event_booking_groupboolean

      Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

    • write_event_booking_groupboolean

      Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

    • read_maintenanceboolean

      Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

    • write_maintenanceboolean

      Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

    • write_event_availabilityboolean

      Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

    • write_easboolean

      Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

    • write_wtesboolean

      Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

    • write_statsboolean

      Write access to statistics. Grants the write permission for the statistics scope 'stats'.

    • read_shortlinkboolean

      Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

    • write_shortlinkboolean

      Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

    • read_mediaboolean

      Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

    • write_mediaboolean

      Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

    • read_settingsboolean

      Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

    • write_settingsboolean

      Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

    • read_dwiboolean

      Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

    • write_dwiboolean

      Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

    • read_fltboolean

      Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

    • write_fltboolean

      Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

    • read_c1boolean

      Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

    • write_c1boolean

      Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

    • read_chboolean

      Read access to change history. Grants the read permission for the scope 'ch'.

    • read_siboolean

      Read access to short information. Grants the read permission for the scope 'si'.

    • read_ptboolean

      Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

    • write_ptboolean

      Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

    • read_locboolean

      Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

    • write_locboolean

      Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

    • read_notifyboolean

      Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

    • write_notifyboolean

      Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

    • read_chatboolean

      Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

    • write_chatboolean

      Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

    • write_webhookboolean

      Write access to webhooks. Grants the write permission for the scope 'webhook'.

    • … 6 more fields

Responses

200Update a single UserAccessGroupUserAccessGroup

Show fields (81)
  • idinteger

    Primary key of the user access group. Internal ID, used as the reference by users and access tokens.

  • namestring

    Name of the user access group. Shown to administrators when they assign users to a group.

  • super_adminboolean

    Super admin flag of the group. Members of a super admin group have all rights, including the administration of other admin groups.

  • adminboolean

    Admin flag of the group. Members of an admin group can manage users and access rights.

  • userboolean

    User flag of the group. Standard flag for regular members.

  • guestboolean

    Guest flag of the group. Guests get only the rights explicitly granted to them.

  • read_installationsboolean

    Read access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • write_installationsboolean

    Write access to installations (servers, installation settings). Grants the matching permission for the scope 'installations' in the access rights check of the API.

  • read_userboolean

    Read access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • write_userboolean

    Write access to users and user access groups. Grants the matching permission for the scope 'user' in the access rights check of the API.

  • read_customerprofileboolean

    Read access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • write_customerprofileboolean

    Write access to customer profiles (customer app data). Grants the matching permission for the scope 'customerprofile' in the access rights check of the API.

  • read_crmboolean

    Read access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • write_crmboolean

    Write access to CRM (persons, companies, memberships). Grants the matching permission for the scope 'crm' in the access rights check of the API.

  • read_crm_projectboolean

    Read access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • write_crm_projectboolean

    Write access to CRM projects. Grants the matching permission for the scope 'crm_project' in the access rights check of the API.

  • read_billingboolean

    Read access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • write_billingboolean

    Write access to billing (invoices, payments, direct debit). Grants the matching permission for the scope 'billing' in the access rights check of the API.

  • read_taxaccountingboolean

    Read access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • write_taxaccountingboolean

    Write access to tax accounting (EUER and balance sheet). Grants the matching permission for the scope 'taxaccounting' in the access rights check of the API.

  • read_donationsboolean

    Read access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • write_donationsboolean

    Write access to donations. Grants the matching permission for the scope 'donations' in the access rights check of the API.

  • read_productsboolean

    Read access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • write_productsboolean

    Write access to products. Grants the matching permission for the scope 'products' in the access rights check of the API.

  • read_ticketboolean

    Read access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_ticketboolean

    Write access to tickets. Grants the matching permission for the scope 'ticket' in the access rights check of the API.

  • write_own_ticketboolean

    Write access to own tickets only. Users can only change tickets assigned to them.

  • read_timeboolean

    Read access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • write_timeboolean

    Write access to time tracking. Grants the matching permission for the scope 'time' in the access rights check of the API.

  • read_trainer_timeboolean

    Read access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • write_trainer_timeboolean

    Write access to trainer time tracking. Grants the matching permission for the scope 'trainer_time' in the access rights check of the API.

  • read_studio_trainingboolean

    Read access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • write_studio_trainingboolean

    Write access to studio training. Grants the matching permission for the scope 'studio_training' in the access rights check of the API.

  • read_callboolean

    Read access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • write_callboolean

    Write access to calls. Grants the matching permission for the scope 'call' in the access rights check of the API.

  • read_hrboolean

    Read access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • write_hrboolean

    Write access to HR. Grants the matching permission for the scope 'hr' in the access rights check of the API.

  • read_srvboolean

    Read access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • write_srvboolean

    Write access to servers and containers. Grants the matching permission for the scope 'srv' in the access rights check of the API.

  • read_domainboolean

    Read access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • write_domainboolean

    Write access to domains. Grants the matching permission for the scope 'domain' in the access rights check of the API.

  • read_softwareboolean

    Read access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • write_softwareboolean

    Write access to software and licenses. Grants the matching permission for the scope 'software' in the access rights check of the API.

  • read_privacyboolean

    Read access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • write_privacyboolean

    Write access to privacy and data protection. Grants the matching permission for the scope 'privacy' in the access rights check of the API.

  • read_eventboolean

    Read access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • write_eventboolean

    Write access to events. Grants the matching permission for the scope 'event' in the access rights check of the API.

  • read_event_bookingboolean

    Read access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • write_event_bookingboolean

    Write access to event bookings. Grants the matching permission for the scope 'event_booking' in the access rights check of the API.

  • read_event_booking_groupboolean

    Read access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • write_event_booking_groupboolean

    Write access to event booking groups. Grants the matching permission for the scope 'event_booking_group' in the access rights check of the API.

  • read_maintenanceboolean

    Read access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_maintenanceboolean

    Write access to maintenance. Grants the matching permission for the scope 'maintenance' in the access rights check of the API.

  • write_event_availabilityboolean

    Write access to event availability. Grants the write permission for the availability scope 'event_availability'.

  • write_easboolean

    Write access to the event attendance scanner. Grants the write permission for the scope 'eas'.

  • write_wtesboolean

    Write access to the work time entry scanner. Grants the write permission for the scope 'wtes'.

  • write_statsboolean

    Write access to statistics. Grants the write permission for the statistics scope 'stats'.

  • read_shortlinkboolean

    Read access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • write_shortlinkboolean

    Write access to short links. Grants the matching permission for the scope 'shortlink' in the access rights check of the API.

  • read_mediaboolean

    Read access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • write_mediaboolean

    Write access to media. Grants the matching permission for the scope 'media' in the access rights check of the API.

  • read_settingsboolean

    Read access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • write_settingsboolean

    Write access to settings. Grants the matching permission for the scope 'settings' in the access rights check of the API.

  • read_dwiboolean

    Read access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • write_dwiboolean

    Write access to data warehouse import (DWI). Grants the matching permission for the scope 'dwi' in the access rights check of the API.

  • read_fltboolean

    Read access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • write_fltboolean

    Write access to flexible LaTeX templates. Grants the matching permission for the scope 'flt' in the access rights check of the API.

  • read_c1boolean

    Read access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • write_c1boolean

    Write access to custom area 1. Grants the matching permission for the scope 'c1' in the access rights check of the API.

  • read_chboolean

    Read access to change history. Grants the read permission for the scope 'ch'.

  • read_siboolean

    Read access to short information. Grants the read permission for the scope 'si'.

  • read_ptboolean

    Read access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • write_ptboolean

    Write access to payment transactions. Grants the matching permission for the scope 'pt' in the access rights check of the API.

  • read_locboolean

    Read access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • write_locboolean

    Write access to locations. Grants the matching permission for the scope 'loc' in the access rights check of the API.

  • read_notifyboolean

    Read access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • write_notifyboolean

    Write access to notifications. Grants the matching permission for the scope 'notify' in the access rights check of the API.

  • read_chatboolean

    Read access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_chatboolean

    Write access to chat. Grants the matching permission for the scope 'chat' in the access rights check of the API.

  • write_webhookboolean

    Write access to webhooks. Grants the write permission for the scope 'webhook'.

  • … 6 more fields
Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/user_access_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "super_admin": true,
    "admin": true,
    "user": true,
    "guest": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "super_admin": true,
  "admin": true,
  "user": true,
  "guest": true,
  "read_installations": true,
  "write_installations": true,
  "read_user": true,
  "write_user": true
}